For the complete documentation index, see llms.txt. This page is also available as Markdown.

Campaigns

Manage campaigns

Get campaigns of the account environment

get

Return the list of the campaigns of the account environment

Authorizations
AuthorizationstringRequired

Prefix the token with 'Bearer ' to indicate it is a bearer token

Path parameters
account_idstringRequired

The ID of the account

account_environment_idstringRequired

The ID of the environment

Query parameters
_pageintegerOptional

Index of the page

Example: 0
_max_per_pageintegerOptional

Number of items per page

Example: 10
Responses
200

Success

application/json
current_item_countinteger · intOptional

Returns the number of items in the current page

current_pageinteger · intOptional

Returns the number of the current page

Default: 0
total_countinteger · intOptional

Returns the number of total items

items_per_pageinteger · intOptional

Returns the number of items per page

Default: 10
last_pageinteger · intOptional

Returns the index of the page

get/accounts/{account_id}/account_environments/{account_environment_id}/campaigns
GET /v1/accounts/{account_id}/account_environments/{account_environment_id}/campaigns HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "current_item_count": 1,
  "current_page": 0,
  "total_count": 1,
  "items_per_page": 10,
  "last_page": 1,
  "items": [
    {
      "id": "text",
      "project_id": "text",
      "name": "text",
      "slug": "text",
      "description": "text",
      "type": "ab",
      "status": "draft",
      "scheduler": {
        "start_date": "2026-01-01T00:00:00.000Z",
        "stop_date": "2026-01-01T00:00:00.000Z",
        "timezone": "text"
      },
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z",
      "primary_goal": {
        "type": "transaction",
        "id": "text",
        "label": "text",
        "operator": "contains",
        "value": "text",
        "metrics": [
          "uniqueConversions"
        ]
      }
    }
  ]
}

Create a campaign

post

Create a campaign

Authorizations
AuthorizationstringRequired

Prefix the token with 'Bearer ' to indicate it is a bearer token

Path parameters
account_idstringRequired

The ID of the account

account_environment_idstringRequired

The ID of the environment

Body
idstringRead-onlyOptional

ID of the campaign

project_idstringRequired

ID of the campaign's project

namestringRequired

Name of the campaign

slugstringOptional

Slug of the campaign

descriptionstringRequired

Description of the campaign

typestring · enumRequired

Type of the campaign

Possible values:
statusstring · enumRead-onlyOptional

Status of the campaign

Possible values:
created_atstring · date-timeRead-onlyOptional

Creation date of campaign

updated_atstring · date-timeRead-onlyOptional

Update date of the campaign

Responses
201

Created

application/json
idstringRead-onlyOptional

ID of the campaign

project_idstringRequired

ID of the campaign's project

namestringRequired

Name of the campaign

slugstringOptional

Slug of the campaign

descriptionstringRequired

Description of the campaign

typestring · enumRequired

Type of the campaign

Possible values:
statusstring · enumRead-onlyOptional

Status of the campaign

Possible values:
created_atstring · date-timeRead-onlyOptional

Creation date of campaign

updated_atstring · date-timeRead-onlyOptional

Update date of the campaign

post/accounts/{account_id}/account_environments/{account_environment_id}/campaigns
POST /v1/accounts/{account_id}/account_environments/{account_environment_id}/campaigns HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 315

{
  "project_id": "text",
  "name": "text",
  "slug": "text",
  "description": "text",
  "type": "ab",
  "scheduler": {
    "start_date": "2026-01-01T00:00:00.000Z",
    "stop_date": "2026-01-01T00:00:00.000Z",
    "timezone": "text"
  },
  "primary_goal": {
    "type": "transaction",
    "label": "text",
    "operator": "contains",
    "value": "text",
    "metrics": [
      "uniqueConversions"
    ]
  }
}
{
  "id": "text",
  "project_id": "text",
  "name": "text",
  "slug": "text",
  "description": "text",
  "type": "ab",
  "status": "draft",
  "scheduler": {
    "start_date": "2026-01-01T00:00:00.000Z",
    "stop_date": "2026-01-01T00:00:00.000Z",
    "timezone": "text"
  },
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "primary_goal": {
    "type": "transaction",
    "id": "text",
    "label": "text",
    "operator": "contains",
    "value": "text",
    "metrics": [
      "uniqueConversions"
    ]
  }
}

Get one campaign

get

Return one campaign by its id

Authorizations
AuthorizationstringRequired

Prefix the token with 'Bearer ' to indicate it is a bearer token

Path parameters
account_idstringRequired

The ID of the account

account_environment_idstringRequired

The ID of the environment

campaign_idstringRequired

The ID of the campaign

Responses
200

Success

application/json
idstringRead-onlyOptional

ID of the campaign

project_idstringRequired

ID of the campaign's project

namestringRequired

Name of the campaign

slugstringOptional

Slug of the campaign

descriptionstringRequired

Description of the campaign

typestring · enumRequired

Type of the campaign

Possible values:
statusstring · enumRead-onlyOptional

Status of the campaign

Possible values:
created_atstring · date-timeRead-onlyOptional

Creation date of campaign

updated_atstring · date-timeRead-onlyOptional

Update date of the campaign

get/accounts/{account_id}/account_environments/{account_environment_id}/campaigns/{campaign_id}
GET /v1/accounts/{account_id}/account_environments/{account_environment_id}/campaigns/{campaign_id} HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "text",
  "project_id": "text",
  "name": "text",
  "slug": "text",
  "description": "text",
  "type": "ab",
  "status": "draft",
  "scheduler": {
    "start_date": "2026-01-01T00:00:00.000Z",
    "stop_date": "2026-01-01T00:00:00.000Z",
    "timezone": "text"
  },
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "primary_goal": {
    "type": "transaction",
    "id": "text",
    "label": "text",
    "operator": "contains",
    "value": "text",
    "metrics": [
      "uniqueConversions"
    ]
  }
}

Delete a campaign

delete

Delete a campaign by its id.

Authorizations
AuthorizationstringRequired

Prefix the token with 'Bearer ' to indicate it is a bearer token

Path parameters
account_idstringRequired

The ID of the account

account_environment_idstringRequired

The ID of the environment

campaign_idstringRequired

The ID of the campaign

Responses
204

Deleted

No content

delete/accounts/{account_id}/account_environments/{account_environment_id}/campaigns/{campaign_id}
DELETE /v1/accounts/{account_id}/account_environments/{account_environment_id}/campaigns/{campaign_id} HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Accept: */*

No content

Update a campaign

patch

Update campaign informations - You can set only the properies you want to update in the request body.

Authorizations
AuthorizationstringRequired

Prefix the token with 'Bearer ' to indicate it is a bearer token

Path parameters
account_idstringRequired

The ID of the account

account_environment_idstringRequired

The ID of the environment

campaign_idstringRequired

The ID of the campaign

Body
idstringRead-onlyOptional

ID of the campaign

project_idstringRequired

ID of the campaign's project

namestringRequired

Name of the campaign

slugstringOptional

Slug of the campaign

descriptionstringRequired

Description of the campaign

typestring · enumRequired

Type of the campaign

Possible values:
statusstring · enumRead-onlyOptional

Status of the campaign

Possible values:
created_atstring · date-timeRead-onlyOptional

Creation date of campaign

updated_atstring · date-timeRead-onlyOptional

Update date of the campaign

Responses
200

Updated

application/json
idstringRead-onlyOptional

ID of the campaign

project_idstringRequired

ID of the campaign's project

namestringRequired

Name of the campaign

slugstringOptional

Slug of the campaign

descriptionstringRequired

Description of the campaign

typestring · enumRequired

Type of the campaign

Possible values:
statusstring · enumRead-onlyOptional

Status of the campaign

Possible values:
created_atstring · date-timeRead-onlyOptional

Creation date of campaign

updated_atstring · date-timeRead-onlyOptional

Update date of the campaign

patch/accounts/{account_id}/account_environments/{account_environment_id}/campaigns/{campaign_id}
PATCH /v1/accounts/{account_id}/account_environments/{account_environment_id}/campaigns/{campaign_id} HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 315

{
  "project_id": "text",
  "name": "text",
  "slug": "text",
  "description": "text",
  "type": "ab",
  "scheduler": {
    "start_date": "2026-01-01T00:00:00.000Z",
    "stop_date": "2026-01-01T00:00:00.000Z",
    "timezone": "text"
  },
  "primary_goal": {
    "type": "transaction",
    "label": "text",
    "operator": "contains",
    "value": "text",
    "metrics": [
      "uniqueConversions"
    ]
  }
}
{
  "id": "text",
  "project_id": "text",
  "name": "text",
  "slug": "text",
  "description": "text",
  "type": "ab",
  "status": "draft",
  "scheduler": {
    "start_date": "2026-01-01T00:00:00.000Z",
    "stop_date": "2026-01-01T00:00:00.000Z",
    "timezone": "text"
  },
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z",
  "primary_goal": {
    "type": "transaction",
    "id": "text",
    "label": "text",
    "operator": "contains",
    "value": "text",
    "metrics": [
      "uniqueConversions"
    ]
  }
}

Toggle a campaign state

patch

Switch the state of the campaign to active/inactive.

Authorizations
AuthorizationstringRequired

Prefix the token with 'Bearer ' to indicate it is a bearer token

Path parameters
account_idstringRequired

The ID of the account

account_environment_idstringRequired

The ID of the environment

campaign_idstringRequired

The ID of the campaign

Body
statestring · enumRequired

State of the toggler

Possible values:
Responses
200

Updated

No content

patch/accounts/{account_id}/account_environments/{account_environment_id}/campaigns/{campaign_id}/toggle
PATCH /v1/accounts/{account_id}/account_environments/{account_environment_id}/campaigns/{campaign_id}/toggle HTTP/1.1
Host: api.flagship.io
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "state": "draft"
}

No content

Last updated

Was this helpful?